﻿Imports System.Web.Services
Imports System.Configuration
Imports System.Data.SqlClient

Partial Class VB
    Inherits System.Web.UI.Page
    <WebMethod>
    Public Shared Function GetCustomers(ByVal prefix As String) As String()
        Dim customers As List(Of String) = New List(Of String)()
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As SqlConnection = New SqlConnection(constr)
            Dim query As String = "SELECT ContactName, CustomerId FROM Customers WHERE ContactName LIKE @SearchText + '%'"
            Using cmd As SqlCommand = New SqlCommand(query, con)
                cmd.Parameters.AddWithValue("@SearchText", prefix)
                con.Open()
                Using sdr As SqlDataReader = cmd.ExecuteReader()
                    While sdr.Read()
                        customers.Add(String.Format("{0}-{1}", sdr("ContactName"), sdr("CustomerId")))
                    End While
                End Using
                con.Close()
            End Using
        End Using
        Return customers.ToArray()
    End Function

    Protected Sub OnSubmit(sender As Object, e As EventArgs)
        Dim customerName As String = Request.Form(txtSearch.UniqueID)
        Dim customerId As String = Request.Form(hfCustomerId.UniqueID)
        ClientScript.RegisterStartupScript(Me.GetType(), "alert", "alert('Name: " & customerName & "\nID: " & customerId & "');", True)
    End Sub
End Class
